# Phonemes

- [Consonants](#consonants)
  - [Pulmonic](#pulmonic)
  - [Non-Pulmonic](#non-pulmonic)
  - [Other Symbols](#other-symbols)
- [Vowels](#vowels)
- [Features](#features)
  - [Phoneme Type](#phoneme-type)
  - [Voicing](#voicing)
  - [Place of Articulation](#place-of-articulation)
    - [Co-articulation](#co-articulation)
  - [Manner of Articulation](#manner-of-articulation)
  - [Vowel Height](#vowel-height)
  - [Vowel Backness](#vowel-backness)
  - [Rounding](#rounding)
  - [Diacritics](#diacritics)
  - [Suprasegmentals](#suprasegmentals)
  - [Unused](#unused)
- [References](#references)

----------

Evan Kirshenbaum created an ASCII transcription of the International Phonetic
Alphabet (IPA)<sup>\[<a href="#ref1">1</a>\], \[<a href="#ref2">2</a>\]</sup>.
As well as using ASCII characters for specific IPA phonemes, this transcription
provides a set of 3-letter feature abbreviations allowing a phoneme to be
described as a sequence of features.

This document describes the IPA phonemes using the features used by Kirshenbaum.

## Consonants

### Pulmonic

<table>
  <tr>
    <td></td>
    <th colspan="2"><code>blb</code></th>
    <th colspan="2"><code>lbd</code></th>
    <th colspan="2"><code>dnt</code></th>
    <th colspan="2"><code>alv</code></th>
    <th colspan="2"><code>pla</code></th>
    <th colspan="2"><code>rfx</code></th>
    <th colspan="2"><code>pal</code></th>
    <th colspan="2"><code>vel</code></th>
    <th colspan="2"><code>uvl</code></th>
    <th colspan="2"><code>phr</code></th>
    <th colspan="2"><code>glt</code></th>
  </tr>
  <tr>
    <th align="right"><code>nas</code></th>
    <td> </td><td>m</td>
    <td> </td><td>ɱ</td>
    <td> </td><td> </td>
    <td> </td><td>n</td>
    <td> </td><td> </td>
    <td> </td><td>ɳ</td>
    <td> </td><td>ɲ</td>
    <td> </td><td>ŋ</td>
    <td> </td><td>ɴ</td>
    <td> </td><td> </td>
    <td> </td><td> </td>
  </tr>
  <tr>
    <th align="right"><code>stp</code></th>
    <td>p</td><td>b</td>
    <td> </td><td> </td>
    <td> </td><td> </td>
    <td>t</td><td>d</td>
    <td> </td><td> </td>
    <td>ʈ</td><td>ɖ</td>
    <td>c</td><td>ɟ</td>
    <td>k</td><td>ɡ</td>
    <td>q</td><td>ɢ</td>
    <td> </td><td> </td>
    <td>ʔ</td><td> </td>
  </tr>
  <tr>
    <th align="right"><code>frc</code></th>
    <td>ɸ</td><td>β</td>
    <td>f</td><td>v</td>
    <td>θ</td><td>ð</td>
    <td>s</td><td>z</td>
    <td>ʃ</td><td>ʒ</td>
    <td>ʂ</td><td>ʐ</td>
    <td>ç</td><td>ʝ</td>
    <td>x</td><td>ɣ</td>
    <td>χ</td><td>ʁ</td>
    <td>ħ</td><td>ʕ</td>
    <td>h</td><td>ɦ</td>
  </tr>
  <tr>
    <th align="right"><code>apr</code></th>
    <td> </td><td> </td>
    <td> </td><td>ʋ</td>
    <td> </td><td> </td>
    <td> </td><td>ɹ</td>
    <td> </td><td> </td>
    <td> </td><td>ɻ</td>
    <td> </td><td>j</td>
    <td> </td><td>ɰ</td>
    <td> </td><td> </td>
    <td> </td><td> </td>
    <td> </td><td> </td>
  </tr>
  <tr>
    <th align="right"><code>flp</code></th>
    <td> </td><td> </td>
    <td> </td><td>ⱱ</td>
    <td> </td><td> </td>
    <td> </td><td>ɾ</td>
    <td> </td><td> </td>
    <td> </td><td>ɽ</td>
    <td> </td><td> </td>
    <td> </td><td> </td>
    <td> </td><td> </td>
    <td> </td><td> </td>
    <td> </td><td> </td>
  </tr>
  <tr>
    <th align="right"><code>trl</code></th>
    <td> </td><td>ʙ</td>
    <td> </td><td> </td>
    <td> </td><td> </td>
    <td> </td><td>r</td>
    <td> </td><td> </td>
    <td> </td><td> </td>
    <td> </td><td> </td>
    <td> </td><td> </td>
    <td> </td><td>ʀ</td>
    <td> </td><td> </td>
    <td> </td><td> </td>
  </tr>
  <tr>
    <th align="right"><code>lat</code>&#xA0;<code>frc</code></th>
    <td> </td><td> </td>
    <td> </td><td> </td>
    <td> </td><td> </td>
    <td>ɬ</td><td>ɮ</td>
    <td> </td><td> </td>
    <td> </td><td> </td>
    <td> </td><td> </td>
    <td> </td><td> </td>
    <td> </td><td> </td>
    <td> </td><td> </td>
    <td> </td><td> </td>
  </tr>
  <tr>
    <th align="right"><code>lat</code>&#xA0;<code>apr</code></th>
    <td> </td><td> </td>
    <td> </td><td> </td>
    <td> </td><td> </td>
    <td> </td><td>l</td>
    <td> </td><td> </td>
    <td> </td><td>ɭ</td>
    <td> </td><td>ʎ</td>
    <td> </td><td>ʟ</td>
    <td> </td><td> </td>
    <td> </td><td> </td>
    <td> </td><td> </td>
  </tr>
</table>

Symbols to the left are `vls`, and to the right are `vcd`.

### Non-Pulmonic

<table>
  <tr>
    <td></td>
    <th><code>blb</code></th>
    <th><code>lbd</code></th>
    <th><code>dnt</code></th>
    <th><code>alv</code></th>
    <th><code>pla</code></th>
    <th><code>rfx</code></th>
    <th><code>pal</code></th>
    <th><code>vel</code></th>
    <th><code>uvl</code></th>
    <th><code>phr</code></th>
    <th><code>glt</code></th>
  </tr>
  <tr>
    <th align="right"><code>clk</code></th>
    <td>ʘ</td>
    <td> </td>
    <td>ǀ</td>
    <td>ǃ</td>
    <td> </td>
    <td> </td>
    <td>ǂ</td>
    <td> </td>
    <td> </td>
    <td> </td>
    <td> </td>
  </tr>
  <tr>
    <th align="right"><code>lat</code>&#xA0;<code>clk</code></th>
    <td> </td>
    <td> </td>
    <td> </td>
    <td>ǁ</td>
    <td> </td>
    <td> </td>
    <td> </td>
    <td> </td>
    <td> </td>
    <td> </td>
    <td> </td>
  </tr>
  <tr>
    <th align="right"><code>vcd</code>&#xA0;<code>imp</code></th>
    <td>ɓ</td>
    <td> </td>
    <td> </td>
    <td>ɗ</td>
    <td> </td>
    <td> </td>
    <td>ʄ</td>
    <td>ɠ</td>
    <td>ʛ</td>
    <td> </td>
    <td> </td>
  </tr>
  <tr>
    <th align="right"><code>ejc</code></th>
    <td>pʼ</td>
    <td> </td>
    <td> </td>
    <td>tʼ</td>
    <td> </td>
    <td>ʈʼ</td>
    <td>cʼ</td>
    <td>kʼ</td>
    <td>qʼ</td>
    <td>ʡʼ</td>
    <td> </td>
  </tr>
  <tr>
    <th align="right"><code>ejc</code>&#xA0;<code>frc</code></th>
    <td>fʼ</td>
    <td> </td>
    <td>θʼ</td>
    <td>sʼ</td>
    <td>ʃʼ</td>
    <td>ʂʼ</td>
    <td> </td>
    <td>xʼ</td>
    <td>χʼ</td>
    <td> </td>
    <td> </td>
  </tr>
  <tr>
    <th align="right"><code>lat</code>&#xA0;<code>ejc</code>&#xA0;<code>frc</code></th>
    <td> </td>
    <td> </td>
    <td> </td>
    <td>ɬʼ</td>
    <td> </td>
    <td> </td>
    <td> </td>
    <td> </td>
    <td> </td>
    <td> </td>
    <td> </td>
  </tr>
</table>

### Other Symbols

| Symbol | Features                |
|--------|-------------------------|
| ʍ      | `vls` `lbv` `apr`       |
| w      | `vcd` `lbv` `apr`       |
| ɥ      | `vcd` `lbp` `apr`       |
| ʜ      | `vls` `epg` `frc`       |
| ʢ      | `vcd` `epg` `frc`       |
| ʡ      | `vls` `epg` `stp`       |
| ɕ      | `vls` `alp` `frc`       |
| ʑ      | `vcd` `alp` `frc`       |
| ɺ      | `vcd` `alv` `lat` `flp` |
| ɧ      | `vls` `vzd` `pla` `frc` |

## Vowels

<table>
  <tr>
    <td></td>
    <th colspan="2"><code>fnt</code></th>
    <th colspan="2"><code>cnt</code></th>
    <th colspan="2"><code>bck</code></th>
  </tr>
  <tr>
    <th align="right"><code>hgh</code></th>
    <td>i</td><td>y</td>
    <td>ɨ</td><td>ʉ</td>
    <td>ɯ</td><td>u</td>
  </tr>
  <tr>
    <th align="right"><code>smh</code></th>
    <td>ɪ</td><td>ʏ</td>
    <td> </td><td> </td>
    <td> </td><td>ʊ</td>
  </tr>
  <tr>
    <th align="right"><code>umd</code></th>
    <td>e</td><td>ø</td>
    <td>ɘ</td><td>ɵ</td>
    <td>ɤ</td><td>o</td>
  </tr>
  <tr>
    <th align="right"><code>mid</code></th>
    <td> </td><td> </td>
    <td>ə</td><td> </td>
    <td> </td><td> </td>
  </tr>
  <tr>
    <th align="right"><code>lmd</code></th>
    <td>ɛ</td><td>œ</td>
    <td>ɜ</td><td>ɞ</td>
    <td>ʌ</td><td>ɔ</td>
  </tr>
  <tr>
    <th align="right"><code>sml</code></th>
    <td>æ</td><td> </td>
    <td>ɐ</td><td> </td>
    <td> </td><td> </td>
  </tr>
  <tr>
    <th align="right"><code>low</code></th>
    <td>a</td><td>ɶ</td>
    <td> </td><td> </td>
    <td>ɑ</td><td>ɒ</td>
  </tr>
</table>

Symbols to the left are `unr`, and to the right are `rnd`.

__NOTE:__ The `smh` vowels are more `cnt` than the other vowels. However, this
distinction is not needed to classify these vowels, so is not included in the
above table.

## Features

### Phoneme Type

| Feature | Kirshenbaum | Name            |
|---------|-------------|-----------------|
| `vwl`   | `vwl`       | vowel           |

### Voicing

| Feature | Kirshenbaum | Name            |
|---------|-------------|-----------------|
| `vcd`   | `vcd`       | voiced          |
| `vls`   | `vls`       | voiceless       |

### Place of Articulation

| Feature | Kirshenbaum | Name            |
|---------|-------------|-----------------|
| `blb`   | `blb`       | bilabial        |
| `lbd`   | `lbd`       | labio-dental    |
| `dnt`   | `dnt`       | dental          |
| `alv`   | `alv`       | alveolar        |
| `pla`   | `pla`       | post-alveolar (palato-alveolar) |
| `rfx`   | `rfx`       | retroflex       |
| `alp`   |             | alveolo-palatal |
| `pal`   | `pal`       | palatal         |
| `vel`   | `vel`       | velar           |
| `uvl`   | `uvl`       | uvular          |
| `phr`   | `phr`       | pharyngeal      |
| `epg`   |             | epiglottal      |
| `glt`   | `glt`       | glottal         |

#### Co-articulation

| Feature | Kirshenbaum | Name            |
|---------|-------------|-----------------|
| `lbv`   | `lbv`       | labial-velar    |
| `lbp`   |             | labial-palatal  |

### Manner of Articulation

| Feature | Kirshenbaum | Name            |
|---------|-------------|-----------------|
| `stp`   | `stp`       | plosive (stop)  |
| `nas`   | `nas`       | nasal           |
| `trl`   | `trl`       | trill           |
| `flp`   | `flp`       | tap/flap        |
| `frc`   | `frc`       | fricative       |
| `apr`   | `apr`       | approximant     |
| `lat`   | `lat`       | lateral         |
| `clk`   | `clk`       | click           |
| `ejc`   | `ejc`       | ejective        |
| `imp`   | `imp`       | implosive       |

### Vowel Height

| Feature | Kirshenbaum | Name                   |
|---------|-------------|------------------------|
| `hgh`   | `hgh`       | close (high)           |
| `smh`   | `smh`       | near-close (semi-high) |
| `umd`   | `umd`       | close-mid (upper-mid)  |
| `mid`   | `mid`       | mid                    |
| `lmd`   | `lmd`       | open-mid (lower-mid)   |
| `sml`   |             | near-open (semi-low)   |
| `low`   | `low`       | open (low)             |

### Vowel Backness

| Feature | Kirshenbaum | Name            |
|---------|-------------|-----------------|
| `fnt`   | `fnt`       | front           |
| `cnt`   | `cnt`       | center          |
| `bck`   | `bck`       | back            |

### Rounding

| Feature | Kirshenbaum | Name            |
|---------|-------------|-----------------|
| `unr`   | `unr`       | unrounded       |
| `rnd`   | `rnd`       | rounded         |

### Diacritics

| Feature | Kirshenbaum | Name            |
|---------|-------------|-----------------|
| `asp`   | `asp`       | aspirated       |
| `unx`   | `unx`       | unexploded      |
| `syl`   | `syl`       | syllabic        |
| `mrm`   | `mrm`       | murmured        |
| `vzd`   | `vzd`       | velarized       |
| `lzd`   | `lzd`       | labialized      |
| `pzd`   | `pzd`       | palatalized     |
| `rzd`   | `rzd`       | rhoticized      |
| `nzd`   | `nzd`       | nasalized       |
| `fzd`   | `fzd`       | pharyngealized  |

### Suprasegmentals

| Feature | Kirshenbaum | Name            |
|---------|-------------|-----------------|
| `lng`   | `lng`       | long            |

### Unused

These feature abbreviations specified by Evan Kirshenbaum in Appendix A of his
ASCII/IPA transcription are not used in that specification.

| Feature   | Kirshenbaum | Name            |
|-----------|-------------|-----------------|
|           | `orl`       | oral            |
|           | `ctl`       | central         |

## References

1. <a name="ref1"></a> Kirshenbaum, Evan,
   [http://www.kirshenbaum.net/IPA/faq.html](Representing IPA phonetics in ASCII) (HTML). 1993.

2. <a name="ref2"></a> Kirshenbaum, Evan,
   [http://www.kirshenbaum.net/IPA/ascii-ipa.pdf](Representing IPA phonetics in ASCII) (PDF). 2001.

3. <a name="ref3"></a> International Phonetic Association,
   [https://www.internationalphoneticassociation.org/content/ipa-chart](The International Phonetic Alphabet and the IPA Chart). 2015.
   Creative Commons Attribution-Sharealike 3.0 Unported License (CC-BY-SA).

4. <a name="ref4"></a> Wikipedia.
   [https://en.wikipedia.org/wiki/International_Phonetic_Alphabet](International Phonetic Alphabet). 2017.
   Creative Commons Attribution-Sharealike 3.0 Unported License (CC-BY-SA).
